Переполнение буфера в libxslt

Дата публикации:
01.08.2008
Дата изменения:
05.08.2008
Всего просмотров:
1481
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libxslt 1.x
Уязвимые версии: libxslt 1.1.24, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в файле crypto.c при обработке XSLT функций "crypto:rc4_encrypt" и "crypto:rc4_decrypt". Удаленный пользователь может с помощью специально сформированной таблицы стилей вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: xmlsoft.org/XSLT/

Решение: Установите исправление из SVN репозитория производителя.

Журнал изменений:

05.08.2008
Добавлен PoC код.

Ссылки: Libxslt Heap Overflow Denial of Service PoC
http://scary.beasts.org/security/CESA-2008-003.html

или введите имя

CAPTCHA